JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const mailbox = await client.mailboxes.delete('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(mailbox.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
mailbox = client.mailboxes.delete(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(mailbox.data)curl --request DELETE \
--url https://api.mobilerun.ai/mailboxes/{mailboxId} \
--header 'Authorization: Bearer <token>'
{
"data": {
"address": "mx_7k3q9p2m4v8d@inbox.example",
"billingMode": "rent",
"cancelAtPeriodEnd": true,
"checkoutExpiresAt": "2023-11-07T05:31:56Z",
"checkoutUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currentPeriodEnd": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboundMessages": {
"exhausted": true,
"included": 1,
"resetsAt": "2023-11-07T05:31:56Z",
"used": 1
},
"label": "<string>",
"status": "provisioning"
}
}{
"error": "<string>"
}Mailboxes
Cancel or archive a mailbox
For paid rent, schedules end-of-cycle cancellation. For an included generation, archives immediately and releases its package seat. This never deletes the mailbox, its address, or its messages — the address is permanently reserved. Idempotent.
DELETE
/
mailboxes
/
{mailboxId}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const mailbox = await client.mailboxes.delete('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(mailbox.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
mailbox = client.mailboxes.delete(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(mailbox.data)Was this page helpful?
⌘I